
<h6>Create Todo Component:</h6>
<form (ngSubmit)="onSubmit()" #todoForm="ngForm">
  <div class="form-row">
    <div class="col-auto">
        <input 
          type="text" 
          class="form-control" 
          placeholder="Description"
          id="description"
          [(ngModel)]="model.description"
          name="description"
          #description="ngModel">
    </div>
    <div class="col-auto">
      <input 
        type="text" 
        class="form-control" 
        placeholder="Responsible"
        id="responsible"
        [(ngModel)]="model.responsible"
        name="responsible"
        #responsible="ngModel">
    </div>
    <div class="col-auto">
      <select 
        class="form-control"
        id="priority"
        [(ngModel)]="model.priority"
        name="priority"
        #priority="ngModel">
        <option value="low">Low</option>
        <option value="medium">Medium</option>
        <option value="high">High</option>
      </select>
    </div>
    <div class="col-auto">
      <button type="submit" class="btn btn-primary">Create</button>
    </div>
  </div>
</form>
<p class="text-right"><span class="badge badge-secondary">Last Update: {{ (lastUpdate | async) | date:'mediumTime' }} | Total items: {{ (todos | async).length }}</span></p>
<button class="btn btn-primary" (click)="clearTodos()">Delete All</button>